<template>
  <div v-show="!loading">
    <v-locale-provider :rtl="locale == 'ar'">
      <NuxtLayout>
        <NuxtPage />
      </NuxtLayout>
    </v-locale-provider>
    <SharedNotification />
  </div>
  <SharedPreloader v-if="loading" />
</template>

<script lang="js" setup>
import cookies from 'js-cookie';
import { ref, onMounted, nextTick } from 'vue'
import { useI18n } from 'vue-i18n'
import { setLocale as setLocaleValidate } from "@vee-validate/i18n";

const loading = ref(true)
const { locale } = useI18n()

onMounted(async () => {
  await nextTick()
  cookies.set('_lang', locale._value)
  setLocaleValidate(locale._value)
  loading.value = false
})
</script>
